Skip to navigation

Assign Customer Orders to Company

Associates orders from a buyer to their Company account based on the customerId entered. This endpoint is useful if a buyer has orders they placed before applying for or being added to a Company account.

The customerId parameter must include a valid BigCommerce customer ID for the request to be successful. This is different from the B2B Edition Company user ID returned by some B2B API endpoints, such as the id field in Get Users.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

customerIdintegerRequired
The ID of a BigCommerce customer account with a corresponding Company user account.

Response

OK
codeintegerOptionalDefaults to 200
HTTP Response Code
dataobjectOptional
metaobjectOptional

Errors

404
Not Found Error